import React from 'react';
import ReactDOM from 'react-dom';


class KikiDiv extends React.Component {
    render(){
        return (
            <div id="#kiki_container">
            </div>
        );
    }
	
	login(opt){
	  var appId,userId,appSecret;
	  if(!this.props.appId){
		 alert("appId가 존재하지 않습니다");
		 return		 
	  }
	  if(!this.props.userId){
		 alert("userId가 존재하지 않습니다");
		 return		 
	  }
	  if(!this.props.appSecret){
		 alert("appSecret이 존재하지 않습니다");
		 return		 
	  }

		var appId=this.props.appId;
		var userId=this.props.userId;
		console.debug("fetch addr", "http://gamekiki.com:3000/login?appId="+this.props.appId+"&userId="+this.props.userId+"secretKey="+this.props.appSecret);
	  fetch("http://gamekiki.com:3000/login?appId="+this.props.appId+"&userId="+this.props.userId+"&secretKey="+this.props.appSecret, 
		{
			method: 'post',
			headers: {'Content-Type':'application/json'}
		}).
	  then(results=>{
		return results.json();  
	  }).then(data=>{
		   if(data["token"]){
				window.kshopMds.saveUserInfo({
					token : data["token"],
					appId :appId,
					userId : userId					
				});
				opt.callback(true, data);
			}else{
				alert("로그인 실패");
				opt.callback(false, data);
			}
	  });
	}
	
	init(loginCookie,loginPage){
		window.kshopMds.loginPage =loginPage;		
		if(loginCookie){
			// 자동 로그인
			window.kshopMds.init({
			  appId : this.props.appId, // appId (필수)
			 	  
			});			
		}else{
			// 클릭 시 로그인 페이지로 이동
			window.kshopMds.init({
			  appId : this.props.appId, 
			 	  
			  autoLogin : "N"
			});
		}
	} 
	
	saveUserInfo(opt){
		if(!opt.userId)opt.userId=this.props.userId;
		if(!opt.appId)opt.appId=this.props.appId;
		if(!opt.mgId)opt.mgId=this.props.mgId;
		window.kshopMds.saveUserInfo(opt);		
	}
	
	componentDidMount (){
		var globalContext =this;
		var script= document.createElement("script");
		script.onload = function(){	
			if(globalContext.props.kikiCallback){
				globalContext.props.kikiCallback(globalContext);
			}
		}
		script.src="http://gamekiki.com/kshop/kwidget/js/kwidget.js";
		if(!window.jQuery){
			var jScript = document.createElement("script");
			jScript.src="http://gamekiki.com/kshop/kwidget/js/jquery-3.2.1.min.js";
			jScript.onload=function(){
				document.body.appendChild(script);
			}
			document.body.appendChild(jScript);			
		}else{
			document.body.appendChild(script);
		}
	}
}

export default KikiDiv;


