var kikiHttpModule = require('https');


function handleResponse(resp){
	  var serverData = '';
	  response.on('data', function (chunk) {
		serverData += chunk;
	  });
	  response.on('end', function () {
		console.log("received server data:");
		console.log(serverData);
	  });
}
module.exports.kikiOption ={
	ipAddr : "https://gamebin.iptime.org",
	kikiBaseDir : "gamekiki/kshop/kwidget",
	apiPort : "4000"
}

var respCallback = function(){};

module.exports.requestToken = function(opt,callback){
	var qs_ = {
		appId : opt.appId,
		userId : opt.userId,
		appSecret : opt.appSecret,
		svcType : "login"
	}
	var options = {
	  host : (this.kikiOption.ipAddr),
	  path : "/" + (this.kikiOption.kikiBaseDir) + "/php/login.php",
	  qs : qs_,
	  method: 'POST',
	  headers: {
		'Content-Type': 'text/html',
	  }
	};
	console.log("reqExam.requestToken on request : ", options.url);
	
	var req = kikiHttpModule.request(options, function(res) {
	  console.log('Status: ' + res.statusCode);
	  console.log('Headers: ' + JSON.stringify(res.headers));
	  res.setEncoding('utf8');
	  res.on('data', function (body) {
		console.log('Body: ' + body);
	  });
	});


//	return a+b;
	if(!opt.appId){
		console.log("appId not exist");
		callback({
			"message" : "appId not exist",
			"prog" : false
		});
	}
	if(!opt.userId){
		console.log("userId not exist");
		callback({
			"message" : "appId not exist",
			"prog" : false
		});
	}
};

module.exports.test = function(){
	console.log("TTTT");
}

module.exports.sum = function(a, b){
	return a+b;
};
module.exports.avg = function(a, b){
	return (a+b)/2;
};