
<?php


class kikiClass{
	
//	var $kikiAPIAddr = "http://gamebin.iptime.org:4000";
	var $kikiAPIAddr = "http://gamekiki.com:3000";
	
	var $resultArry= array();
	var $kiki_widget_appId = "kiki_wg_pId";
	var $kiki_widget_userId = "kiki_wg_uId";
	var $kiki_widget_mgId = "kiki_wg_mgId";
	var $kiki_widget_deviceType = "kiki_wg_dType";
	var $kiki_widget_token_s01 = "kiki_wg_tk_fr";
	var $kiki_widget_token_s02 = "kiki_wg_tk_sc";
	var $kiki_widget_token_s03 = "kiki_wg_tk_tr";
	var $cookieExpire = (1000*3600*3);
	
	//var $domain = ($_SERVER['HTTP_HOST'] != 'localhost') ? $_SERVER['HTTP_HOST'] : false;
	function saveUserInfo($appId,$userId,$token,$mgId=null) {
      	
		setcookie($this->kiki_widget_appId, $appId, time()+$this->cookieExpire,"/",""); 
		setcookie($this->kiki_widget_userId, $userId, time()+$this->cookieExpire,"/","");
		if($mgId != null){
			setcookie($this->kiki_widget_mgId, $mgId, time()+$this->cookieExpire,"/",""); 
		}
		
		$tokenArry = explode(".", $token);
		$arryInt=0;
		$tokenStr= null;
		foreach($tokenArry as $value){
			switch($arryInt){
				case 0 :
					setcookie($this->kiki_widget_token_s01, $value, time()+$this->cookieExpire,"/",""); 		
					break;
				case 1 :
					setcookie($this->kiki_widget_token_s02, $value, time()+$this->cookieExpire,"/",""); 		
					break;				
			}
			if($arryInt > 1){
				if($tokenStr != null){
					$tokenStr = $tokenStr + $value;					
				}else{
					$tokenStr = $value;					
				}
				setcookie($this->kiki_widget_token_s03, $tokenStr, time()+$this->cookieExpire,"/",""); 
			}
			$arryInt++;
		}
    }
	
	private function getToken(){
		$tokenS01 = $_COOKIE[$this->kiki_widget_token_s01];
		$tokenS02 = $_COOKIE[$this->kiki_widget_token_s02];
		$tokenS03 = $_COOKIE[$this->kiki_widget_token_s03];
		$tokenStr = $tokenS01;
		if(isset($tokenS02)) $tokenStr = $tokenStr.".".$tokenS02;
		if(isset($tokenS03)) $tokenStr = $tokenStr.".".$tokenS03;
		return $tokenStr;
	}
	
	public function logout($appId=null, $token=null){
			if($appId === null){
				$appId=$_COOKIE[$this->kiki_widget_appId];
			}
			
			if($token === null){
				$token=$this->getToken();
			}
			
			$service_url = $this->kikiAPIAddr."/logout";
			$curl_post_data = 
				"appId=". $appId .
				"&token=".$token;
			$svrName ='http://'. $_SERVER['SERVER_NAME'] . $_SERVER['REQUEST_URI'];
			// 토큰요청 응답 값	
			$curl_response = $this->curl_post_kiki($service_url, $curl_post_data,$svrName);	
			//$respObj = json_decode($curl_response, true);
			//$token = $respObj["token"];
			
			unset($_COOKIE[$this->kiki_widget_appId]);
			unset($_COOKIE[$this->kiki_widget_userId]);
			unset($_COOKIE[$this->kiki_widget_mgId]);
			
			unset($_COOKIE[$this->kiki_widget_token_s01]);
			unset($_COOKIE[$this->kiki_widget_token_s02]);
			unset($_COOKIE[$this->kiki_widget_token_s03]);
			
			setcookie($this->kiki_widget_appId, null, -1, '/');
			setcookie($this->kiki_widget_userId, null, -1, '/');
			setcookie($this->kiki_widget_mgId, null, -1, '/');
			
			
			setcookie($this->kiki_widget_token_s01, null, -1, '/');			
			setcookie($this->kiki_widget_token_s02, null, -1, '/');
			setcookie($this->kiki_widget_token_s03, null, -1, '/');
			return $curl_response;
	}
	
	public function login($appId,$userId,$appSecret, $mgId=null){
		$respObj = $this->requestToken($appId,$userId,$appSecret);
		if(strpos($respObj["message"], "succeed") !== false){
			if(null === $mgId){
				$this->saveUserInfo($appId,$userId,$respObj["token"]);			
			}else{
				$this->saveUserInfo($appId,$userId,$respObj["token"],$mgId);
			}
			$respObj["prog"] = true;
		}else{
			$respObj["prog"] = false;
		}
		

		return $respObj;		
	}
	
	
	function requestToken($appId,$userId,$appSecret){
		$token = false;
		//$service_url = $this->kikiAddr."/php"."/login.php";
		$service_url = $this->kikiAPIAddr."/login?";
		$UserIP = $_SERVER["REMOTE_ADDR"];
		$curl_post_data = 
			"appId=".$appId.
			"&userId=".$userId.
			"&loginType=E&IP=".$UserIP.
			//"&appSecret=".$appSecret.
			"&secretKey=".$appSecret.
			
			"&svcType=login";
			
		$svrName ='http://'. $_SERVER['SERVER_NAME'] . $_SERVER['REQUEST_URI'];
		// 토큰요청 응답 값	
		$curl_response = $this->curl_post_kiki($service_url, $curl_post_data,$svrName);	
		$respObj = json_decode($curl_response, true);
		return $respObj;
	}
		
	function curl_post_kiki($url, $post_data,$svrName) {
		$curl = curl_init($url);
		$curl_post_data = $post_data; 
		curl_setopt($curl, CURLOPT_HEADER,  0);
		curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
		curl_setopt($curl, CURLOPT_POST, true);
		curl_setopt($curl, CURLOPT_POSTFIELDS, $curl_post_data);
		curl_setopt($curl, CURLOPT_SSL_VERIFYPEER, 0);
		curl_setopt($curl, CURLOPT_SSL_VERIFYHOST, 0);
		curl_setopt($curl, CURLOPT_FOLLOWLOCATION, true);

		curl_setopt($curl, CURLOPT_REFERER, $svrName);
		$ge = curl_exec($curl);
		$curl_response = ($ge);
		if ($curl_response === false) {
			$info = curl_getinfo($curl);
			curl_close($curl);
			die('error occured during curl exec. Additioanl info: ' . var_export($info));
		}
		curl_close($curl);
		return $curl_response;
	}	
}

?>
